<?php  use_helper('Javascript','Date','Number')?>


<?
//ACTUALIZACION=> Cuando el proyecto es de Inversion

$cpo=$comision->getProyectos()->getCodigo();
$con = Propel::getConnection();
$sql="SELECT pro.FUNC_INV FROM PROYECTOS pro WHERE pro.codigo='".$cpo."'";

$sentencia = $con->prepareStatement($sql);
$resultset2 = $sentencia->executeQuery();

while($resultset2->next()){
$inv=$resultset2->getString('FUNC_INV');
    //0-Func 1-Inv 2-Todos
    if($inv == 2){
        $inv = 1;
    }
}

if($inv==1){?>

<?
//TRAER EL RUBRO

$sql=" select TIPO_GASTO||'-'||UNO||' '||DOS||' '||TRES||' '||CUATRO||' '||CINCO AS RUBRO,DESCRIPCION,ID_RUBRO
FROM(

select clase.tipo_gasto,gen.codigo AS UNO,cod.cod_rub2 AS DOS,cod.cod_rub3 AS TRES,cod.cod_rub4 AS CUATRO,cod.cod_rub5 AS CINCO,cod.descripcion,cod.id_rubro AS ID_RUBRO
FROM PR_CODIF_PRESUP cod
left join PR_CLASES_PRESUP clase ON cod.id_clase_presup = clase.id
left join PR_PROG_GEN gen ON cod.cod_rub1 = gen.id
where cod.vigencia='".$vigencia."' and clase.id = 9 and cod.id_rubro = ".$id_rubro."

group by clase.tipo_gasto, gen.codigo,cod.cod_rub2,cod.cod_rub3,cod.cod_rub4,cod.cod_rub5,cod.descripcion,cod.id_rubro
order by clase.tipo_gasto, gen.codigo||' '||cod.cod_rub2||' '||cod.cod_rub3||' '||cod.cod_rub4||' '||cod.cod_rub5,cod.descripcion,cod.id_rubro
)
GROUP BY TIPO_GASTO,UNO,DOS,TRES,CUATRO,CINCO,DESCRIPCION,ID_RUBRO
ORDER BY TIPO_GASTO,UNO,DOS,TRES,CUATRO,CINCO,DESCRIPCION,ID_RUBRO";

$sentencia = $con->prepareStatement($sql);
$resultset2 = $sentencia->executeQuery();
while($resultset2->next()){
$rubro=$resultset2->getString('RUBRO');
$descripcion=$resultset2->getString('DESCRIPCION');
}

?>
<h1>Solicitud de Certificado de Disponibilidad</h1>
<h2>INVERSION</h2>
<div id="toReport">
<br/><br/>
<table width="100%" cellpadding="0">
<tr align="left">
	<td width="20%"><b>AREA:</b></td>
	<td width="40%"><?php echo $comision->getAreas()->getDescripcion()?></td>
	<td width="20%"><b>Fecha (MMM-AAAA):</b></td>
	<?php 
		$fecha = explode('-', $comision->getFecha());

		if($fecha[1]=='01')$mes_a="Ene";
		if($fecha[1]=='02')$mes_a="Feb";
		if($fecha[1]=='03')$mes_a="Mar";
		if($fecha[1]=='04')$mes_a="Abr";
		if($fecha[1]=='05')$mes_a="May";
		if($fecha[1]=='06')$mes_a="Jun";
		if($fecha[1]=='07')$mes_a="Jul";
		if($fecha[1]=='08')$mes_a="Ago";
		if($fecha[1]=='09')$mes_a="Sep";
		if($fecha[1]=='10')$mes_a="Oct";
		if($fecha[1]=='11')$mes_a="Nov";
		if($fecha[1]=='12')$mes_a="Dic";
	?>
	<td width="20%"><?php echo $mes_a.'-'.$fecha[0] ?></td>
</tr>
<tr>
	<td colspan="4">&nbsp;</td>
</tr>
<tr>
  <td colspan="4">
    Señores Grupo de Presupuesto. Atentamente le solicito expedir la disponibilidad presupuestal para amparar la siguiente ordenación del gasto.
  </td>
</tr>
</table>
<br/>

<table width="100%" border="0">
  <tr>
    <td colspan="2"><b>DESCRIPCIÓN: </b>Solicitud de comisión <?php echo $comision->getTiposComision()->getDescomi()?> <?php echo $comision->getInterrupcion() ? 'CON INTERRUPCION' : ''?> Plan No. <?php echo $comision->getId()?></td>
  </tr>
  <tr>
    <td>&nbsp;</td>
  </tr>
 
</table>
<br/>
<br/>
<table width="100%">
  <tr align="right">
    <td width="25%" align="left" style="background-color:#D3D3D3"><b>RUBRO PRESUPUESTAL</b></td>
   <td width="75%" align="left" style="background-color:#D3D3D3"><b>NOMBRE DEL PROYECTO</b></td>
</tr>
<tr>
<td width="25%" align="left"><?echo $rubro?></td>
    
    <td width="75%" align="left"><?echo $descripcion?></td>
  </tr>
  

</table>
<br/>
<table width="100%" cellpadding="2" border="0">
  <tr align="right">
    <td width="40%" align="left" style="background-color:#D3D3D3"><b>OBJETO DE GASTO</b></td>
    <td width="20%"></td>
    <td width="20%"></td>
    <td width="20%"><b>VALOR</b></td>
  </tr>
  <?php $subtotal = 0?>
  <?php $i        = 0?>
  <?php foreach($objetos as $objeto):?>
   <?php 
    	$suma = ObjetosGastoPeer::getSumaObjeto($comision->getId(),$objeto->getCodigo(),$comision->getVigencia());
    	$subtotal += $suma;
    ?>
    <?php if($suma != 0): ?>
      <tr align="right">
        <td width="40%" align="left"><?php echo $objeto->getDescripcion()?></td>
        <td width="20%"></td>
	<td width="20%"></td>
	<td width="20%"><?php echo format_number($suma)?></td>
      </tr>      
      <?php $i++?>
    <?php endif?>   

  <?php endforeach?>
  <tr align="right">
    <td width="40%" align="left"><b></b></td>
    <td width="20%"></td>
    <td width="20%"></td>
    <td width="20%"><b><?php echo format_number(($subtotal))?></b></td>
  </tr> 
</table>
<br/>
<br/>
<table width="100%">
<tr align="right">
    <td width="40%" align="left" style="background-color:#D3D3D3"><b>CODIGO Y DEPENDENCIA DE AFECTACIÓN</b></td>
    <td width="20%"></td>
    <td width="20%"></td>
    <td width="20%" style="background-color:#D3D3D3"><b>VALOR</b></td>
  </tr>
  <tr align="right">
    <td width="40%" align="left"><?php echo $comision->getProyectos()->getCodigo()." ".$comision->getProyectos()->getDescripcion()?></td>
    <td width="20%"></td>
    <td width="20%"></td>
    <td width="20%"><?php echo format_number(($subtotal))?></td>
  </tr>
</table>
<br/>
<br/>
<hr/>
<table width="100%">
  <tr align="right">
    <td width="40%"><b>Total C.D.P: </b></td>
    <td width="20%"></td>
    <td width="20%"></td>
    <td width="20%"><strong><?php echo format_number(($subtotal))?></strong></td>
    
  </tr>
</table>
<br/>
<br/>
<br/>
<table width="100%">
  <tr align="right">
    <td width="100%" colspan="6" align="left" style="background-color:#D3D3D3"><b>AUTORIZACION FICHA DE PROYECTO DE INVERSION</b></td>
  </tr>
<tr height="5%">
<td></td>
</tr>
  <tr>
    <td width="18%">Programa:</td>
    <td width="17%">_______________</td>
    <td width="13%">Sub-programa:</td>
    <td width="21%">_______________</td>
    <td width="15%">Codigo BPIN:</td>
    <td width="16%">_______________</td>	
  </tr>
<tr height="5%">
<td></td>
</tr>
<tr>
    <td width="35%" colspan="2">Fecha Registrado Actualizado: </td>
    <td width="34%" colspan="2">______________________________</td>
    <td width="15%"></td>
    <td width="16%"></td>	
  </tr>
</table>
<br/>
<br/>
<br/>
<table width="100%">
<tr>
    <td width="35%" colspan="2">Vo. Bo. Grupo de Planeacion: </td>
    <td width="34%" colspan="2">______________________________</td>
    <td width="15%">Fecha </td>
    <td width="16%">_______________</td>
    
  </tr>

</table>
<br/>
<br/>
<br/>
<br/>
<table width="100%">
  <tr align="right">
    <td width="25%" align="left"><b>FIRMA DIRECTOR TÉCNICO / SECRETARIO GENERAL</b></td>
    <td width="25%" align="left">______________________</td>
  </tr>
  <tr align="right">
    <td width="25%" align="left"><b>Nombre</b></td>
    <td width="25%" align="left">______________________</td>
  </tr>
  

</table>
</div><!-- End Report -->

<?}else{

?>

<h1>Solicitud de Certificado de Disponibilidad</h1>
<div id="toReport">
<br/><br/>
<table width="100%" cellpadding="0">
<tr align="left">
	<td width="20%"><b>AREA:</b></td>
	<td width="40%"><?php echo $comision->getAreas()->getDescripcion()?></td>
	<td width="20%"><b>Fecha (MM-AAAA):</b></td>
	<?php 
		$fecha = explode('-', $comision->getFecha());
	?>
	<td width="20%"><?php echo $fecha[1].'-'.$fecha[0] ?></td>
</tr>
<tr>
	<td colspan="4">&nbsp;</td>
</tr>
<tr>
  <td colspan="4">
    Señores Grupo de Presupuesto. Atentamente le solicito expedir la disponibilidad presupuestal para amparar la siguiente ordenación del gasto.
  </td>
</tr>
</table>
<br/>

<table width="100%" border="0">
  <tr>
    <td colspan="2"><b>Descripción: </b>Solicitud de comisión <?php echo $comision->getTiposComision()->getDescomi()?> <?php echo $comision->getInterrupcion() ? 'CON INTERRUPCION' : ''?> Plan No. <?php echo $comision->getId()?></td>
  </tr>
  <tr>
    <td>&nbsp;</td>
  </tr>
  <tr>
    <td width="100"><b>C.P.O: </b></td>
    <td><b>Nombre del proyecto: </b></td>
  </tr>
  <tr>
    <td width="100"><?php echo $comision->getProyectos()->getCodigo()?></td>
    <td><?php echo $comision->getProyectos()->getDescripcion()?></td>
  </tr>
</table>
<br/>
<br/>

<table width="80%" cellpadding="2" border="0">
  <tr align="right">
    <td width="40%" align="left"><b>Objeto del gasto</b></td>
    <td width="20%"><b>Valor</b></td>
    <td width="20%"><b>Subtotal</b></td>
    <td width="20%"><b>Total CDP</b></td>
  </tr>
  <?php $subtotal = 0?>
  <?php $i        = 0?>
  <?php foreach($objetos as $objeto):?>
    <?php 
    	$suma = ObjetosGastoPeer::getSumaObjeto($comision->getId(),$objeto->getCodigo(),$comision->getVigencia());
    	$subtotal += $suma;
    ?>
    <?php if($suma != 0): ?>
      <tr align="right">
        <td width="40%" align="left"><?php echo $objeto->getDescripcion()?></td>
        <td width="20%"><?php echo format_number($suma)?></td>
		<td width="20%"></td>
		<td width="20%"><?php echo format_number($suma)?></td>
      </tr>      
      <?php $i++?>
    <?php endif?>    
  <?php endforeach?>
</table>
<br/>
<hr/>
<table width="80%">
  <tr align="right">
    <td width="40%" align="left"><b>Total C.D.P: </b></td>
    <td width="20%"><strong><?php echo format_number(($subtotal))?></strong></td>
    <td width="20%"></td>
    <td width="20%"><strong><?php echo format_number(($subtotal))?></strong></td>
  </tr>
</table>
<br/>
<br/>
<br/>

<b>Firma del ordenador del Gasto</b> ___________________________________
</div><!-- End Report -->
<?}?>
<br/>
<?php echo javascript_include_tag('report')?>
<?php
	echo form_tag('comisionar/cdpdf');
	echo input_hidden_tag('htmlContent', '-');
	echo input_hidden_tag('id_comision',$comision->getId());
	echo input_hidden_tag('inv',$inv);	
	echo input_hidden_tag('vigencia',$comision->getVigencia());
	echo input_hidden_tag('filename', 'certificado_disponibilidad_presupuestal_comision_'.$comision->getId());
	echo '<table><tr><td>'.submit_image_tag('topdf', array('title'=>'Generar PDF', 'onClick'=>'selectElements()')).'</td>';
	echo '<td>'.link_to(image_tag('back','title=Volver'),'comisionar/filter_preview?id='.$comision->getId().'&vigencia='.$comision->getVigencia()).'</td></tr></table>'
?>

<?

function meses($mes){

if($mes=='01')$mes_a="Ene";
if($mes=='01')$mes_a="Feb";
if($mes=='01')$mes_a="Mar";
if($mes=='01')$mes_a="Abr";
if($mes=='01')$mes_a="May";
if($mes=='01')$mes_a="Jun";
if($mes=='01')$mes_a="Jul";
if($mes=='01')$mes_a="Ago";
if($mes=='01')$mes_a="Sep";
if($mes=='01')$mes_a="Oct";
if($mes=='01')$mes_a="Nov";
if($mes=='01')$mes_a="Dic";

return $mes_a;

}

?>

